blob: 5431bf6011a643f83aae4318d1f683eaa77cee87 [file] [log] [blame]
Tom Rini1a62a722019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyes8b0b5012023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
Peter Hoyes74bcbb12023-03-10 09:53:03 +00005 MIRROR_DOCKER: docker.io
Peter Hoyes8b0b5012023-03-10 09:53:02 +00006
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
Joel Stanleycb735172022-08-23 16:18:26 +100011# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
Peter Hoyes74bcbb12023-03-10 09:53:03 +000013image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20230308-21Mar2023
Tom Rini1a62a722019-06-19 09:25:17 -040014
15# We run some tests in different order, to catch some failures quicker.
16stages:
Tom Rini1a62a722019-06-19 09:25:17 -040017 - testsuites
Tom Rinib29cb052019-07-24 13:09:31 -040018 - test.py
Tom Rini1a62a722019-06-19 09:25:17 -040019 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rini1a62a722019-06-19 09:25:17 -040022 stage: test.py
23 before_script:
24 # Clone uboot-test-hooks
Tom Rinibd181a22022-11-21 12:52:40 -050025 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini85ae52b2021-02-24 17:05:04 -050026 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rini1a62a722019-06-19 09:25:17 -040027 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
28 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini28a51232019-10-04 12:12:54 -040029 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
30 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Meng49fb28a2020-03-28 07:25:29 -070031 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Heinrich Schuchardtb6b35fd2021-04-02 11:42:01 +020032 wget -O - https://github.com/riscv/opensbi/releases/download/v0.9/opensbi-0.9-rv-bin.tar.xz | tar -C /tmp -xJ;
33 export OPENSBI=/tmp/opensbi-0.9-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070034 fi
Bin Meng0e60b3a2021-08-26 23:33:35 +080035 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Heinrich Schuchardtb6b35fd2021-04-02 11:42:01 +020036 wget -O - https://github.com/riscv/opensbi/releases/download/v0.9/opensbi-0.9-rv-bin.tar.xz | tar -C /tmp -xJ;
37 export OPENSBI=/tmp/opensbi-0.9-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070038 fi
Tom Rinib29cb052019-07-24 13:09:31 -040039
Tom Rini1a62a722019-06-19 09:25:17 -040040 after_script:
Marek Vasute5670732023-03-03 02:22:25 +010041 - cp -v /tmp/${TEST_PY_BD}/*.{html,css} .
Heinrich Schuchardt24df1b12019-12-19 13:30:32 +010042 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rini1a62a722019-06-19 09:25:17 -040043 script:
Simon Glassdd5c9542020-03-18 09:42:57 -060044 # If we've been asked to use clang only do one configuration.
Simon Glass4e32fed2020-03-18 09:42:55 -060045 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass1aa168c2022-08-03 12:13:09 -060046 - echo BUILD_ENV ${BUILD_ENV}
Simon Glass9cea4792023-01-15 14:16:00 -070047 - if [ -n "${BUILD_ENV}" ]; then
48 export ${BUILD_ENV};
49 fi
Simon Glass7ec12552020-03-18 09:43:00 -060050 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
51 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020052 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
53 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
54 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020055 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
56 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0e60b3a2021-08-26 23:33:35 +080057 # create sdcard / spi-nor images for sifive unleashed using genimage
58 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
59 mkdir -p root;
60 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
61 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
62 rm -rf tmp;
63 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
64 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
65 rm -rf tmp;
66 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
67 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
68 fi
Simon Glassbfb2a7f2022-01-21 10:23:01 -070069 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
70 wget -O -
71 "https://drive.google.com/uc?id=1x6nrtWIyIRPLS2cQBwYTnT2TbOI8UjmM&export=download" |
72 xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
73 wget -O -
74 "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" >
75 cbfstool;
76 chmod a+x cbfstool;
77 ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
78 fi
Tom Rini085b8972019-10-24 11:59:27 -040079 - virtualenv -p /usr/bin/python3 /tmp/venv
80 - . /tmp/venv/bin/activate
81 - pip install -r test/py/requirements.txt
Simon Glass4080d092020-03-18 09:42:56 -060082 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass4e32fed2020-03-18 09:42:55 -060083 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rini1a62a722019-06-19 09:25:17 -040084 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardtf3092472020-07-10 22:04:40 +020085 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass4080d092020-03-18 09:42:56 -060086 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glasscec1e852020-03-18 09:42:59 -060087 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Marek Vasute5670732023-03-03 02:22:25 +010088 artifacts:
89 when: always
90 paths:
91 - "*.html"
92 - "*.css"
93 expire_in: 1 week
Tom Rini1a62a722019-06-19 09:25:17 -040094
Heinrich Schuchardta11cb572019-10-06 12:26:16 +020095build all 32bit ARM platforms:
Tom Rini1a62a722019-06-19 09:25:17 -040096 stage: world build
97 script:
98 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -050099 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700100 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600101 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600102 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400103 exit $ret;
104 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400105
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200106build all 64bit ARM platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400107 stage: world build
108 script:
Tom Rini26a426a2020-02-11 12:41:14 -0500109 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rinif0db8392019-07-18 07:28:36 -0400110 - . /tmp/venv/bin/activate
Tom Rini9f7bda12019-07-17 17:51:28 -0400111 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500112 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700113 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600114 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600115 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400116 exit $ret;
117 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400118
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200119build all PowerPC platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400120 stage: world build
121 script:
122 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500123 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassdd5c9542020-03-18 09:42:57 -0600124 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
125 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600126 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400127 exit $ret;
128 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400129
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200130build all other platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400131 stage: world build
132 script:
133 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500134 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700135 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600136 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600137 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400138 exit $ret;
139 fi;
Tom Rini1a62a722019-06-19 09:25:17 -0400140
Tom Rinibb9b9c12022-12-04 10:14:15 -0500141check for new CONFIG symbols outside Kconfig:
Tom Rinic1a7de52021-12-14 13:36:41 -0500142 stage: testsuites
143 script:
Tom Rinibb9b9c12022-12-04 10:14:15 -0500144 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
145 # If grep succeeds and finds a match the test fails as we should
146 # have no matches.
147 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rinia03efb62023-01-10 11:19:46 -0500148 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
149 :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
Tom Rinic1a7de52021-12-14 13:36:41 -0500150
Tom Rini1a62a722019-06-19 09:25:17 -0400151# QA jobs for code analytics
152# static code analysis with cppcheck (we can add --enable=all later)
153cppcheck:
Tom Rini1a62a722019-06-19 09:25:17 -0400154 stage: testsuites
155 script:
Simon Glass4ee7f522020-04-05 14:35:43 -0600156 - cppcheck -j$(nproc) --force --quiet --inline-suppr .
Tom Rini1a62a722019-06-19 09:25:17 -0400157
158# search for TODO within source tree
159grep TODO/FIXME/HACK:
Tom Rini1a62a722019-06-19 09:25:17 -0400160 stage: testsuites
161 script:
162 - grep -r TODO .
163 - grep -r FIXME .
164 # search for HACK within source tree and ignore HACKKIT board
165 - grep -r HACK . | grep -v HACKKIT
166
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100167# build documentation
168docs:
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100169 stage: testsuites
170 script:
Heinrich Schuchardt836049d2021-01-25 22:06:25 +0100171 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
172 - . /tmp/venvhtml/bin/activate
173 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100174 - make htmldocs
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100175 - make infodocs
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100176
Tom Rini1a62a722019-06-19 09:25:17 -0400177# some statistics about the code base
178sloccount:
Tom Rini1a62a722019-06-19 09:25:17 -0400179 stage: testsuites
180 script:
181 - sloccount .
182
183# ensure all configs have MAINTAINERS entries
184Check for configs without MAINTAINERS entry:
Tom Rini1a62a722019-06-19 09:25:17 -0400185 stage: testsuites
186 script:
Simon Glass7ae8a522022-07-11 19:04:09 -0600187 - ./tools/buildman/buildman -R
Tom Rini1a62a722019-06-19 09:25:17 -0400188
189# Ensure host tools build
190Build tools-only:
Tom Rini1a62a722019-06-19 09:25:17 -0400191 stage: testsuites
192 script:
193 - make tools-only_config tools-only -j$(nproc)
194
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200195# Ensure env tools build
196Build envtools:
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200197 stage: testsuites
198 script:
199 - make tools-only_config envtools -j$(nproc)
200
Tom Rini72618332020-03-11 18:11:15 -0400201Run binman, buildman, dtoc, Kconfig and patman testsuites:
Tom Rini1a62a722019-06-19 09:25:17 -0400202 stage: testsuites
203 script:
Tom Rinid7ae9322019-08-12 10:09:08 -0400204 - git config --global user.name "GitLab CI Runner";
205 git config --global user.email trini@konsulko.com;
Tom Rinib6d4e082022-08-09 21:08:54 -0400206 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7ae9322019-08-12 10:09:08 -0400207 export USER=gitlab;
Tom Rini26a426a2020-02-11 12:41:14 -0500208 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rinid7ae9322019-08-12 10:09:08 -0400209 . /tmp/venv/bin/activate;
Tom Rini38229b52021-02-26 07:52:29 -0500210 pip install -r test/py/requirements.txt;
Simon Glassbf0a8132020-03-18 09:42:50 -0600211 export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl;
Tom Rinid7ae9322019-08-12 10:09:08 -0400212 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
213 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinib6d4e082022-08-09 21:08:54 -0400214 set +e;
Simon Glass6c914e42021-03-15 17:25:34 +1300215 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
216 --board sandbox_spl;
Tom Rinib6d4e082022-08-09 21:08:54 -0400217 set -e;
Tom Rinid7ae9322019-08-12 10:09:08 -0400218 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
219 ./tools/buildman/buildman -t;
220 ./tools/dtoc/dtoc -t;
Simon Glass6bb74de2020-07-05 21:41:55 -0600221 ./tools/patman/patman test;
Tom Rini72618332020-03-11 18:11:15 -0400222 make testconfig
Tom Rini1a62a722019-06-19 09:25:17 -0400223
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200224Run tests for Nokia RX-51 (aka N900):
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200225 stage: testsuites
226 script:
Pali Rohárce0f7452023-02-21 11:22:29 -0500227 - mkdir nokia_rx51_tmp;
228 ln -s /opt/nokia/u-boot-gen-combined nokia_rx51_tmp/;
229 ln -s /opt/nokia/qemu-n900.tar.gz nokia_rx51_tmp/;
230 ln -s /opt/nokia/kernel_2.6.28-20103103+0m5_armel.deb nokia_rx51_tmp/;
231 ln -s /opt/nokia/libc6_2.5.1-1eglibc27+0m5_armel.deb nokia_rx51_tmp/;
232 ln -s /opt/nokia/busybox_1.10.2.legal-1osso30+0m5_armel.deb nokia_rx51_tmp/;
233 ln -s /opt/nokia/qemu-system-arm nokia_rx51_tmp/;
234 export PATH=/opt/gcc-12.2.0-nolibc/arm-linux-gnueabi/bin:$PATH;
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200235 test/nokia_rx51_test.sh
236
Simon Glass642e51a2022-02-11 13:23:26 -0700237# Check for any pylint regressions
238Run pylint:
239 stage: testsuites
240 script:
Tom Rinib6d4e082022-08-09 21:08:54 -0400241 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glass642e51a2022-02-11 13:23:26 -0700242 - pip install -r test/py/requirements.txt
Tom Rinie47bbf72022-03-25 08:19:09 -0400243 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glass642e51a2022-02-11 13:23:26 -0700244 - export PATH=${PATH}:~/.local/bin
245 - echo "[MASTER]" >> .pylintrc
246 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
247 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl
Tom Rinib6d4e082022-08-09 21:08:54 -0400248 - set +e
Simon Glass642e51a2022-02-11 13:23:26 -0700249 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
250 --board sandbox_spl
Tom Rinib6d4e082022-08-09 21:08:54 -0400251 - set -e
Simon Glass642e51a2022-02-11 13:23:26 -0700252 - pylint --version
253 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
254 - make pylint_err
255
Simon Glass441a3d02023-02-13 08:56:39 -0700256# Check for pre-schema driver model tags
257Check for pre-schema tags:
258 stage: testsuites
259 script:
260 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
261 # If grep succeeds and finds a match the test fails as we should
262 # have no matches.
263 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
264
Simon Glassc21a5282023-02-23 18:18:24 -0700265# Check we can package the Python tools
266Check packing of Python tools:
267 stage: testsuites
268 script:
269 - make pip
270
Tom Rini1a62a722019-06-19 09:25:17 -0400271# Test sandbox with test.py
272sandbox test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400273 variables:
274 TEST_PY_BD: "sandbox"
Tom Rini1a62a722019-06-19 09:25:17 -0400275 <<: *buildman_and_testpy_dfn
276
Tom Rini0219d012019-11-06 19:30:47 -0500277sandbox with clang test.py:
Tom Rini0219d012019-11-06 19:30:47 -0500278 variables:
279 TEST_PY_BD: "sandbox"
Tom Rini09ed7e62022-11-22 12:31:58 -0500280 OVERRIDE: "-O clang-14"
Tom Rini0219d012019-11-06 19:30:47 -0500281 <<: *buildman_and_testpy_dfn
282
Simon Glass1aa168c2022-08-03 12:13:09 -0600283sandbox without LTO test.py:
284 variables:
285 TEST_PY_BD: "sandbox"
286 BUILD_ENV: "NO_LTO=1"
287 <<: *buildman_and_testpy_dfn
288
Tom Rini1a62a722019-06-19 09:25:17 -0400289sandbox_spl test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400290 variables:
291 TEST_PY_BD: "sandbox_spl"
Simon Glassafb26ba2020-10-25 20:38:36 -0600292 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rini1a62a722019-06-19 09:25:17 -0400293 <<: *buildman_and_testpy_dfn
294
Simon Glass6c914e42021-03-15 17:25:34 +1300295sandbox_noinst_test.py:
Simon Glass6c914e42021-03-15 17:25:34 +1300296 variables:
297 TEST_PY_BD: "sandbox_noinst"
298 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
299 <<: *buildman_and_testpy_dfn
300
Simon Glassa31eff32022-04-30 00:56:57 -0600301sandbox_vpl test.py:
302 variables:
303 TEST_PY_BD: "sandbox_vpl"
304 TEST_PY_TEST_SPEC: "test_vpl_help or test_spl"
305 <<: *buildman_and_testpy_dfn
306
Simon Glass9cea4792023-01-15 14:16:00 -0700307# Enable tracing and disable LTO, to ensure functions are not elided
308sandbox trace_test.py:
309 variables:
310 TEST_PY_BD: "sandbox"
311 BUILD_ENV: "FTRACE=1 NO_LTO=1"
312 TEST_PY_TEST_SPEC: "trace"
313 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000"
314 <<: *buildman_and_testpy_dfn
315
Tom Rini699c0b92019-07-17 16:06:57 -0400316evb-ast2500 test.py:
Tom Rini699c0b92019-07-17 16:06:57 -0400317 variables:
318 TEST_PY_BD: "evb-ast2500"
319 TEST_PY_ID: "--id qemu"
Tom Rini699c0b92019-07-17 16:06:57 -0400320 <<: *buildman_and_testpy_dfn
321
Joel Stanleyb24087a2022-06-29 16:35:25 +0930322evb-ast2600 test.py:
323 variables:
324 TEST_PY_BD: "evb-ast2600"
325 TEST_PY_ID: "--id qemu"
326 <<: *buildman_and_testpy_dfn
327
Tom Rini1a62a722019-06-19 09:25:17 -0400328sandbox_flattree test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400329 variables:
330 TEST_PY_BD: "sandbox_flattree"
Tom Rini1a62a722019-06-19 09:25:17 -0400331 <<: *buildman_and_testpy_dfn
332
Kristian Amlie15e30102021-09-07 08:37:51 +0200333vexpress_ca9x4 test.py:
334 variables:
335 TEST_PY_BD: "vexpress_ca9x4"
336 TEST_PY_ID: "--id qemu"
337 <<: *buildman_and_testpy_dfn
338
Tom Rini1a62a722019-06-19 09:25:17 -0400339integratorcp_cm926ejs test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400340 variables:
341 TEST_PY_BD: "integratorcp_cm926ejs"
342 TEST_PY_TEST_SPEC: "not sleep"
343 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400344 <<: *buildman_and_testpy_dfn
345
346qemu_arm test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400347 variables:
348 TEST_PY_BD: "qemu_arm"
349 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400350 <<: *buildman_and_testpy_dfn
351
352qemu_arm64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400353 variables:
354 TEST_PY_BD: "qemu_arm64"
355 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400356 <<: *buildman_and_testpy_dfn
357
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200358qemu_malta test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200359 variables:
360 TEST_PY_BD: "malta"
361 TEST_PY_TEST_SPEC: "not sleep and not efi"
362 TEST_PY_ID: "--id qemu"
363 <<: *buildman_and_testpy_dfn
364
365qemu_maltael test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200366 variables:
367 TEST_PY_BD: "maltael"
368 TEST_PY_TEST_SPEC: "not sleep and not efi"
369 TEST_PY_ID: "--id qemu"
370 <<: *buildman_and_testpy_dfn
371
372qemu_malta64 test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200373 variables:
374 TEST_PY_BD: "malta64"
375 TEST_PY_TEST_SPEC: "not sleep and not efi"
376 TEST_PY_ID: "--id qemu"
377 <<: *buildman_and_testpy_dfn
378
379qemu_malta64el test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200380 variables:
381 TEST_PY_BD: "malta64el"
382 TEST_PY_TEST_SPEC: "not sleep and not efi"
383 TEST_PY_ID: "--id qemu"
384 <<: *buildman_and_testpy_dfn
385
Tom Rini1a62a722019-06-19 09:25:17 -0400386qemu-ppce500 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400387 variables:
388 TEST_PY_BD: "qemu-ppce500"
389 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400390 <<: *buildman_and_testpy_dfn
391
Bin Menga379d332020-03-28 07:25:27 -0700392qemu-riscv32 test.py:
Bin Menga379d332020-03-28 07:25:27 -0700393 variables:
394 TEST_PY_BD: "qemu-riscv32"
395 TEST_PY_TEST_SPEC: "not sleep"
Bin Menga379d332020-03-28 07:25:27 -0700396 <<: *buildman_and_testpy_dfn
397
Tom Rini7298d822019-08-02 11:32:37 -0400398qemu-riscv64 test.py:
Tom Rini7298d822019-08-02 11:32:37 -0400399 variables:
400 TEST_PY_BD: "qemu-riscv64"
401 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini7298d822019-08-02 11:32:37 -0400402 <<: *buildman_and_testpy_dfn
403
Bin Meng49fb28a2020-03-28 07:25:29 -0700404qemu-riscv32_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700405 variables:
406 TEST_PY_BD: "qemu-riscv32_spl"
407 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700408 <<: *buildman_and_testpy_dfn
409
410qemu-riscv64_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700411 variables:
412 TEST_PY_BD: "qemu-riscv64_spl"
413 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700414 <<: *buildman_and_testpy_dfn
415
Tom Rini1a62a722019-06-19 09:25:17 -0400416qemu-x86 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400417 variables:
418 TEST_PY_BD: "qemu-x86"
419 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400420 <<: *buildman_and_testpy_dfn
421
422qemu-x86_64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400423 variables:
424 TEST_PY_BD: "qemu-x86_64"
425 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400426 <<: *buildman_and_testpy_dfn
427
Marek Vasut0e125752020-09-14 21:55:58 +0200428r2dplus_i82557c test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200429 variables:
430 TEST_PY_BD: "r2dplus"
431 TEST_PY_ID: "--id i82557c_qemu"
432 <<: *buildman_and_testpy_dfn
433
434r2dplus_pcnet test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200435 variables:
436 TEST_PY_BD: "r2dplus"
437 TEST_PY_ID: "--id pcnet_qemu"
438 <<: *buildman_and_testpy_dfn
439
440r2dplus_rtl8139 test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200441 variables:
442 TEST_PY_BD: "r2dplus"
443 TEST_PY_ID: "--id rtl8139_qemu"
444 <<: *buildman_and_testpy_dfn
445
446r2dplus_tulip test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200447 variables:
448 TEST_PY_BD: "r2dplus"
449 TEST_PY_ID: "--id tulip_qemu"
450 <<: *buildman_and_testpy_dfn
451
Bin Meng0e60b3a2021-08-26 23:33:35 +0800452sifive_unleashed_sdcard test.py:
453 variables:
454 TEST_PY_BD: "sifive_unleashed"
455 TEST_PY_ID: "--id sdcard_qemu"
456 <<: *buildman_and_testpy_dfn
457
458sifive_unleashed_spi-nor test.py:
459 variables:
460 TEST_PY_BD: "sifive_unleashed"
461 TEST_PY_ID: "--id spi-nor_qemu"
462 <<: *buildman_and_testpy_dfn
463
Michal Simekf7c6ee72020-02-13 15:03:29 +0100464xilinx_zynq_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400465 variables:
Michal Simekf7c6ee72020-02-13 15:03:29 +0100466 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rini1a62a722019-06-19 09:25:17 -0400467 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400468 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400469 <<: *buildman_and_testpy_dfn
470
471xilinx_versal_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400472 variables:
473 TEST_PY_BD: "xilinx_versal_virt"
474 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400475 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400476 <<: *buildman_and_testpy_dfn
477
478xtfpga test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400479 variables:
480 TEST_PY_BD: "xtfpga"
481 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400482 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400483 <<: *buildman_and_testpy_dfn
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700484
485coreboot test.py:
486 variables:
487 TEST_PY_BD: "coreboot"
488 TEST_PY_TEST_SPEC: "not sleep"
489 TEST_PY_ID: "--id qemu"
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700490 <<: *buildman_and_testpy_dfn